#include <linux/build-salt.h>
#include <linux/module.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__attribute__((section(".gnu.linkonce.this_module"))) = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(supported, "yes");

static const struct modversion_info ____versions[]
__used
__attribute__((section("__versions"))) = {
	{ 0x7f83a6fa, "module_layout" },
	{ 0xf327ec45, "ieee80211_rts_duration" },
	{ 0x884deb9d, "eeprom_93cx6_read" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3de33faf, "ieee80211_rx_irqsafe" },
	{ 0xb2096052, "kmalloc_caches" },
	{ 0xf9a482f9, "msleep" },
	{ 0x9666f5f1, "__mutex_do_init" },
	{ 0x9c64fbd, "ieee80211_frequency_to_channel" },
	{ 0x79aa04a2, "get_random_bytes" },
	{ 0xd0f4e863, "__rt_mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x627e8749, "ieee80211_beacon_get_tim" },
	{ 0x7e03d6ec, "_mutex_unlock" },
	{ 0x1851fadd, "ieee80211_unregister_hw" },
	{ 0xf0e75c98, "__dev_kfree_skb_any" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xa69a5ab7, "wiphy_rfkill_start_polling" },
	{ 0xdb53707, "skb_unlink" },
	{ 0x411a8324, "rt_spin_lock" },
	{ 0x8fbab012, "skb_trim" },
	{ 0x1804d545, "rt_spin_unlock" },
	{ 0x314abfae, "usb_unanchor_urb" },
	{ 0x1b718078, "of_led_classdev_register" },
	{ 0x5fe07f5d, "__netdev_alloc_skb" },
	{ 0x9393308, "__init_waitqueue_head" },
	{ 0x9045a550, "_dev_warn" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd1b7b4ef, "usb_deregister" },
	{ 0x7013c3a0, "ieee80211_alloc_hw_nm" },
	{ 0xc5850110, "printk" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0xa62e6a9a, "usb_control_msg" },
	{ 0x5792f848, "strlcpy" },
	{ 0xfbf8811b, "skb_push" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x2c00f474, "__dev_kfree_skb_irq" },
	{ 0xa94e3018, "skb_pull" },
	{ 0xf52b3a72, "wiphy_rfkill_stop_polling" },
	{ 0x1afea1a2, "_dev_err" },
	{ 0x8ad918e4, "ieee80211_queue_delayed_work" },
	{ 0xa15facfa, "__rt_spin_lock_init" },
	{ 0xf377f642, "skb_queue_tail" },
	{ 0xb0b0c2b6, "_dev_info" },
	{ 0x37bc079a, "usb_submit_urb" },
	{ 0x79de5bc0, "__ieee80211_get_rx_led_name" },
	{ 0x652303e9, "usb_get_dev" },
	{ 0x7479c44c, "usb_kill_anchored_urbs" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xdecd0b29, "__stack_chk_fail" },
	{ 0x7ed2788, "usb_reset_device" },
	{ 0x92a09fbc, "wiphy_rfkill_set_hw_state" },
	{ 0x348f12d6, "usb_put_dev" },
	{ 0x65e6472b, "ieee80211_tx_status_irqsafe" },
	{ 0xe59b66e6, "kfree_skb" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x2ea2c95c, "__x86_indirect_thunk_rax" },
	{ 0xb4edb2a7, "__ieee80211_get_tx_led_name" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb011a2ff, "kmem_cache_alloc_trace" },
	{ 0x9cfe3681, "__dynamic_dev_dbg" },
	{ 0xe108d368, "ieee80211_generic_frame_duration" },
	{ 0x15073cc0, "__ieee80211_get_radio_led_name" },
	{ 0xa0a5713c, "ieee80211_ctstoself_duration" },
	{ 0x64a399c0, "ieee80211_register_hw" },
	{ 0xa56e671a, "led_classdev_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0x736db5bb, "usb_register_driver" },
	{ 0x99ffd84d, "ieee80211_free_hw" },
	{ 0x18fd84aa, "skb_dequeue" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc67c8cd6, "_mutex_lock" },
	{ 0x91a8751a, "skb_put" },
	{ 0x940d6fbf, "usb_free_urb" },
	{ 0xa8d375dd, "usb_anchor_urb" },
	{ 0xc7fcba79, "usb_alloc_urb" },
	{ 0x498e9cd, "ieee80211_queue_stopped" },
};

static const char __module_depends[]
__used
__attribute__((section(".modinfo"))) =
"depends=mac80211,eeprom_93cx6,cfg80211,usbcore";

MODULE_ALIAS("usb:v0B05p171Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp705Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8189d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8197d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0BDAp8198d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0769p11F2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0789p010Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p6100d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p6A00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p4260d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v03F0pCA02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p000Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0028d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0029d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v114Bp0150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1371p9401d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13D1pABE6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v18E8p6232d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B75p8187d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1737p0073d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "F89BC343FBD244925CC3EC0");

MODULE_INFO(suserelease, "SLE15-SP2");
